<?php

namespace Drupal\video_toolbox\Controller;

use Drupal\Core\Controller\ControllerBase;

/**
 * Controller for Adherence Registers.
 */
class VideoToolBoxController extends ControllerBase {

  /**
   * Fetch videos by fid.
   */
  public function videoLoader() {
    $videogetter = \Drupal::service('video.get_service');
    $videos = $videogetter->getVideos();
    return $videos;
  }

  /**
   * Create a list of all the videos that have been uploaded by user.
   */
  public function videoDisplayer() {

    $build['video'] = [
      '#type' => 'VideoDisplay',
      '#attributes' => [
        '#url' => '',
        '#allow' => 'fullscreen',
        '#width' => 420,
        '#height' => 315,
      ],
    ];

    return $build;

  }

}
